Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.layer.util.html
Class HeaderElement

    java.lang.Object
      com.bbn.openmap.layer.util.html.WrapElement
          com.bbn.openmap.layer.util.html.HeaderElement

All Implemented Interfaces:
  Element

public class HeaderElement
extends WrapElement

This class provides easy access to the html header tags

Field Summary

Fields inherited from class com.bbn.openmap.layer.util.html.WrapElement
`e, paramString, wrapString`

Constructor Summary
`HeaderElement(int headLevel, Element e)` Construct a header
`HeaderElement(int headLevel, java.lang.String s)` Construct a header

Methods inherited from class com.bbn.openmap.layer.util.html.WrapElement
`generate, getElement, setElement`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HeaderElement

    public HeaderElement(int headLevel,
                         Element e)

  Construct a header

Parameters:
  `headLevel` - the level of the header (should be a small integer)
  `e` - the element in the header
Throws:
  `java.lang.IllegalArgumentException` - headLevel was invalid

### HeaderElement

    public HeaderElement(int headLevel,
                         java.lang.String s)

  Construct a header

Parameters:
  `headLevel` - the level of the header (should be a small integer)
  `s` - the string in the header
Throws:
  `java.lang.IllegalArgumentException` - headLevel was invalid

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details